commit:     c34d7eca2b6f60bd4982dffd55eb9bc2e05ce6b2
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  9 10:43:20 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 10:44:52 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c34d7eca

app-shells/pdmenu: Make use of $(tc-getCC) to get compiler name right. Fixes 
bug 483750.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-shells/pdmenu/pdmenu-1.3.4.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/app-shells/pdmenu/pdmenu-1.3.4.ebuild 
b/app-shells/pdmenu/pdmenu-1.3.4.ebuild
index 88f94c8..bce67fc 100644
--- a/app-shells/pdmenu/pdmenu-1.3.4.ebuild
+++ b/app-shells/pdmenu/pdmenu-1.3.4.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-inherit eutils
+inherit eutils toolchain-funcs
 
 DESCRIPTION="A simple console menu program"
 HOMEPAGE="http://joeyh.name/code/pdmenu/";
@@ -32,11 +32,15 @@ src_prepare() {
 }
 
 src_configure() {
-       econf \
+       CC=$(tc-getCC) econf \
                $(use_with gpm) \
                $(use_enable nls)
 }
 
+src_compile() {
+       emake CC=$(tc-getCC) || die
+}
+
 src_install() {
        dobin "${PN}"
        dodoc doc/ANNOUNCE doc/BUGS doc/TODO

Reply via email to